@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap');
* {
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
}

body {
    width: 100%;
    height: 100vh;
    background-color: rgb(39, 39, 39);
}

header {
    display: flex;
    align-items: center;
    width: 100%;
    height: 7vh;
}

.menu {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 40%;
}

.welcomeuser {
    display: flex;
}

h2 {
    color: rgb(246, 96, 41);
}

@media screen and (min-width: 900px) {
    .divinfo {
        background-color: rgb(20, 20, 20);
        display: flex;
        flex-direction: column;
        align-items: center;
        border-width: 1px;
        border-radius: 5px;
        width: 20%;
    }
}

@media screen and (max-width: 900px) {
    .divinfo {
        background-color: rgb(20, 20, 20);
        display: flex;
        flex-direction: column;
        align-items: center;
        border-width: 1px;
        border-radius: 5px;
        width: 96%;
    }
}

.a_update {
    color: rgb(246, 96, 41);
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 7vh;
    width: 100%;
}

.a_update:hover {
    transition: 0.7s;
    background-color: rgb(246, 96, 41);
    color: whitesmoke;
}

.a_password {
    color: rgb(246, 96, 41);
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 7vh;
    width: 100%;
}

.a_password:hover {
    transition: 0.7s;
    color: whitesmoke;
    background-color: rgb(246, 96, 41);
}

.a_conversation {
    color: rgb(246, 96, 41);
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 7vh;
    width: 100%;
}

.a_conversation:hover {
    transition: 0.7s;
    color: whitesmoke;
    background-color: rgb(246, 96, 41);
}

.a_admin{
    color: rgb(246, 96, 41);
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 7vh;
    width: 100%;
}

.a_admin:hover {
    transition: 0.7s;
    color: whitesmoke;
    background-color: rgb(246, 96, 41);
}

.div_a{
    width: 100%;
}

.logout {
    color: rgb(255, 255, 255);
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 7vh;
    width: 100%;
}

.logout:hover {
    font-weight: bold;
    transition: 0.3s;
    color: rgb(0, 0, 0);
    background-color: rgb(255, 255, 255);
}


/* ------------------------------------------------------------------------------------ */

@media screen and (max-width: 900px) {
    section {
        display: flex;
        flex-direction: column;
        width: 100%;
        align-items: center;
    }
}

@media screen and (min-width: 900px) {
    section {
        width: 100%;
        display: flex;
        justify-content: center;
    }
}

@media screen and (max-width: 900px) {
    .chat {
        display: flex;
        flex-direction: column;
        width: 96%;
        margin-top: 3vh;

    }
}

@media screen and (min-width: 900px) {
    .chat {
        display: flex;
        flex-direction: column;
        width: 30%;
        margin-right: 25px;
        margin-left: 25px;
    }
}


.messages {
    height: 65vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-y: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.messages::-webkit-scrollbar {
    display: none;
    /* Chrome Safari */
}

.divform {
    height: 20vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.photo_profil {
    width: 100px;
    height: 100px;
}

.userlogin_photo {
    /* background-color: yellow; */
    display: flex;
    align-items: center;
    justify-content: center;
    height: 30%;
    width: 95%;
    margin-bottom: 10px;
}

.userphoto {
    display: flex;
    justify-content: center;
    width: 28%;
    margin-right: 15px;
}

.userlogin {
    display: flex;
    justify-content: center;
    width: 28%;
    display: flex;
    align-items: center;
    /* background-color: yellow; */
}

.p_userlogin {
    font-size: 2em;
    color: rgb(246, 96, 41);
}

.insert_post {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

.input_text {
    font-size: 1.5em;
    background-color: rgb(20, 20, 20);
    border-style: none;
    border-radius: 5px;
    color: whitesmoke;
    width: 100%;
    height: 11vh;
    margin-bottom: 10px;
}

.input_submit {
    font-size: 1.5em;
    background-color: rgb(255, 128, 55);
    border-style: none;
    border-radius: 5px;
    color: rgb(0, 0, 0);
    height: 5vh;
    width: 20vh;
}

.zone_de_texte {
    width: 100%;
    height: 90%;
    color: black;
}

img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.divpost {
    display: flex;
    height: 6vh;
    background-color: rgb(20, 20, 20);
    border-radius: 5px;
    margin-bottom: 3px;
}

.post_logo {
    display: flex;
    width: 8%;
    margin-right: 7px;
}

table {
    background-color: aquamarine;
    width: 100%;
    background-color: rgb(20, 20, 20);
    border-radius: 1vh;
}

.tdlogo {
    /* background-color: bisque; */
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 13vh;
    height: 7vh;
}

.aDeletePost {
    text-decoration: none;
    color: whitesmoke;
    font-weight: bold;
}

.tdDeletePost {
    /* background-color: tomato; */
    display: flex;
    justify-content: flex-end;
    width: 98%;
}

.aDeletePost:hover {
    color: rgb(248, 26, 26);
    transition: 0.2s;
}

.tdusername {
    /* background-color: blue; */
    /* width: 100vh; */
}

.imgpost {
    width: 7vh;
    height: 7vh;
}

.trContentPost {
    height: 5vh;
    font-size: 1.7em;
    /* background-color: blueviolet; */
}

.tdContentPost {
    color: whitesmoke;
    width: 7vh;
}

.tdLikeDislike {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 12vh;
    height: 4vh;
    /* background-color: tomato; */
}

.h3PostUsername {
    color: rgb(246, 96, 41);
}

.post_login_content {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.post_login {
    margin-bottom: 2px;
    color: rgb(246, 96, 41);
}

.post_content {
    color: whitesmoke;
}

.type {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-end;
    width: 80%;
}


/* -------------------------------------------------------------------------------------- */

@media screen and (max-width: 900px) {
    .divfriend {
        background-color: rgb(20, 20, 20);
        display: flex;
        flex-direction: column;
        align-items: center;
        border-width: 1px;
        border-radius: 5px;
        /* height: 83vh; */
        width: 96%;
    }
}

@media screen and (min-width: 900px) {
    .divfriend {
        background-color: rgb(20, 20, 20);
        display: flex;
        flex-direction: column;
        align-items: center;
        border-width: 1px;
        border-radius: 5px;
        /* height: 83vh; */
        width: 20%;
    }
}

#tableUser {
    border-style: solid;
    border-width: 1px;
    border-color: rgb(246, 96, 41);
    color: whitesmoke;
}

#tableFriend {
    border-style: solid;
    border-width: 1px;
    border-color: rgb(246, 96, 41);
    color: whitesmoke;
}